Code Red > AutoLISP (Vanilla / Visual)

POLARANG and SNAPSTYL

(1/2) > >>

StykFacE:
Trying to do a quick LISP file to set my Snap/Polar Angle settings on the fly for when I do ISOMETRIC drawings. I figured it would be extremely simple, but guess not. Need a little advice:


--- Code: ---(defun C:ISO (/)

    (set POLARANG 30)
    (set SNAPSTYL 1)

)
--- End code ---

Figured this would be all I needed to do... What am I missing? Thanks gusy.  :kewl:

Guest:
set should be setvar   :wink:

StykFacE:
Ah, forgot about that one. Got it, but it makes my Polar Angle 278.8733853924698. Any idea?

Updated code:

--- Code: ---(defun C:ISO (/)

    (setvar "POLARANG" 30)
    (setvar "SNAPSTYL" 1)

 )
--- End code ---

Guest:
Right off the top of my head, not sure.
But you can change it to (command "polarang" "30") and it will work.


*runs off to research polarang*

StykFacE:
awesome Matt thanks again bud!! worked perfect. ;-)

Navigation

[0] Message Index

[#] Next page

Go to full version